#include <bits/stdc++.h>

using namespace std;

int main(){
    int n, m; cin >> n >> m;
    vector<int> nmin(n), nmax(n), mmin(m), mmax(m);
    for(int i = 0; i < n; i++) cin >> nmin[i] >> nmax[i];
    for(int i = 0; i < m; i++) cin >> mmin[i] >> mmax[i];
    if(n == 1){
        int s = 0;
        for(int i = 0 ; i < m; i++) s += mmax[i];
        cout << min(s, nmax[0]);
    }
    return 0;
}